Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig
Class RuntimeClasspathJSFAppConfigLocater

    java.lang.Object
      org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigLocater
          org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.RuntimeClasspathJSFAppConfigLocater

All Implemented Interfaces:
  org.eclipse.jdt.core.IElementChangedListener, IJSFAppConfigLocater

public class RuntimeClasspathJSFAppConfigLocater
extends AbstractJSFAppConfigLocater
implements org.eclipse.jdt.core.IElementChangedListener

RuntimeClasspathJSFAppConfigLocater attempts to locate application configuration files in JAR files on the runtime classpath. The runtime classpath includes the server runtime classpath and the JAR files that will be deployed to the web application's /WEB-INF/lib folder.

Field Summary

Fields inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigLocater
`configProviders, manager`

Constructor Summary
`RuntimeClasspathJSFAppConfigLocater()`

Method Summary
`protected boolean` | `classpathChanged(org.eclipse.jdt.core.IJavaElementDelta delta)` Recursively tests if the passed IJavaElementDelta instance or any of its descendents indicate a classpath change has occurred.
`void` | `elementChanged(org.eclipse.jdt.core.ElementChangedEvent event)` Called when a Java element has changed.
`void` | `locateProviders()` Locates application configuration resources specified in JAR files on the runtime classpath, and updates the set of `IJSFAppConfigProvider` instances accordingly.
`void` | `startLocating()` Starts locating JSF application configuration resources.
`void` | `stopLocating()` Stops locating JSF application configuration resources.

Methods inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigLocater
`addConfigProvider, finalize, getJSFAppConfigManager, getJSFAppConfigProviders, removeAllConfigProviders, removeConfigProvider, setJSFAppConfigManager, updateConfigProviders`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeClasspathJSFAppConfigLocater

    public RuntimeClasspathJSFAppConfigLocater()

Method Detail

### startLocating

    public void startLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Starts locating JSF application configuration resources.

  Specified by:
    `startLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `startLocating` in class `AbstractJSFAppConfigLocater`

### stopLocating

    public void stopLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Stops locating JSF application configuration resources.

  Specified by:
    `stopLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `stopLocating` in class `AbstractJSFAppConfigLocater`

### locateProviders

    public void locateProviders()

  Locates application configuration resources specified in JAR files on the runtime classpath, and updates the set of `IJSFAppConfigProvider` instances accordingly.

### elementChanged

    public void elementChanged(org.eclipse.jdt.core.ElementChangedEvent event)

  Called when a Java element has changed.

  Specified by:
    `elementChanged` in interface `org.eclipse.jdt.core.IElementChangedListener`
  Parameters:
    `event` - ElementChangedEvent instance describing the change.

### classpathChanged

    protected boolean classpathChanged(org.eclipse.jdt.core.IJavaElementDelta delta)

  Recursively tests if the passed IJavaElementDelta instance or any of its descendents indicate a classpath change has occurred.

  Parameters:
    `delta` - IJavaElement instance to be tested.
  Returns:
    true if a claspath change has occurred, else false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD